html, body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

body {
    scroll-behavior: smooth;
}

* {
    box-sizing: border-box;
}

:root {
    --orange: #cd6c2b;
    --text: #2d2d2d;
    --text-two: #5e5e5e;
    --bg-one: #efefef;
    --bg-two: #e3e3e3;

    --fs-h1: clamp(2.8rem, 2.5rem + 2.5vw, 3.75rem);
    --fs-h2: clamp(1.75rem, 1.52rem + 1.14vw, 2.375rem);
    --fs-h3: clamp(1.25rem, 1.16rem + 0.45vw, 1.5rem);
    --fs-p: clamp(1rem, 0.95rem + 0.23vw, 1.125rem);

    --ff-heading: 'inter', sans-serif;
    --ff-body: 'roboto', sans-serif;
}

section:not(#hero):nth-child(odd) {
    background-color: var(--bg-one);
}
section:not(#hero):nth-child(even) {
    background-color: var(--bg-two);
}

h1 {
    font-size: var(--fs-h1);
    font-family: var(--ff-heading);
    color: var(--bg-one);
    margin: 0;
    max-width: 90%;
}

h2 {
    font-size: var(--fs-h2);
    font-family: var(--ff-heading);
    color: var(--text);
    margin: 0;
    padding: 75px 0;
    text-align: center;
}

h3 {
    font-size: var(--fs-h3);
    font-family: var(--ff-heading);
    color: var(--text);
    margin: 0;
    text-align: center;
}

p {
    font-size: var(--fs-p);
    font-family: var(--ff-body);
    color: var(--text);
    margin: 0;
    line-height: 1.4;
}

#hero {
    min-height: 100vh;
    background-image: linear-gradient(rgba(0, 0, 0, 0.35), rgba(0, 0, 0, 0.35)), url('img/hero.webp');
    background-position: center 40%;
    background-size: cover;
        
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.hero-content {
    display: flex;
    flex-direction: column;
    padding-left: 50px;
    gap: 20px;
}

.hero-content p {
    color: var(--bg-one);
    max-width: clamp(80%, 10vw, 90%);
}

#services {
    padding-bottom: 75px;
}

.service-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    margin-top: 40px;
}
  
.service-card {
    background-color: var(--bg-one);
    padding: 30px;
    border-radius: 24px;
    box-shadow: 5px 10px 20px rgba(0, 0, 0, 0.08);
    
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    
    max-width: 450px;
    border-top: 4px solid transparent;
    transition: transform 0.3s ease, border-color 0.3s ease;
}
  
.service-card h3 {
    margin: 0 0 10px 0;
    font-size: 1.25rem;
}
  
.service-card p {
    margin: 0;
    font-size: 0.95rem;
    color: var(--text-two);
    line-height: 1.5;
}

#about, #visit {
    padding-bottom: 75px;
}

#about .container {
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 80%;
    margin: 0 auto;
    gap: 50px;
}

#about .container .about-text {
    max-width: 50%;
    display: flex;
    flex-direction: column;
}

.about-text h2 {
    padding-bottom: 20px;
    text-align: left;
}

.about-text p {
    max-width: 90%;
}

.about-text p:not(:last-child) {
    margin-bottom: 50px;
}

.about-image {
    max-width: 50%;
    display: flex;
    margin: 0 auto;
    justify-content: center;
}

#about .container .about-image img {
    width: 100%;
    max-width: 450px;
    margin: 0 auto;
    display: flex;
    justify-content: center;

    aspect-ratio: 4 / 5;
    object-fit: cover;
    border-radius: 24px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
    transition: transform 0.3s ease;
}

#projects {
    padding-bottom: 75px;
}

.project-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 50px;

    max-width: 90% !important;
    margin: 0 auto;
    justify-content: center;
}

.project-grid .project-card {
    flex: 0 1 400px;
    max-width: 450px;
    border-radius: 24px;
    aspect-ratio: 5 / 4;

    position: relative;
    overflow: hidden;

    transition: transform 0.3s ease;
    box-shadow: 5px 10px 20px rgba(0, 0, 0, 0.2);
}

.project-card img {
    width: 100%;
    height: 100%;
    display: block;
    transition: all 0.3s ease;
    object-fit: cover;
    aspect-ratio: 5 / 4 !important;
}

.text-content h3 {
    color: var(--orange);
    margin: 0 0 10px 0;
    text-align: left;
}
  
.text-content p {
    color: var(--bg-one);
    margin: 0;
    text-align: left;
}
  
.text-content {
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    z-index: 2;
    opacity: 0;
    transition: opacity 0.3s ease;
    padding: 15px;
    border-radius: 5px;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, rgba(0,0,0,0) 0%, rgba(0,0,0,0.9) 100%);
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: 1;
}

#reviews {
    padding-bottom: 67px !important;
}

.review-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    margin: 0 auto;
    max-width: 90%;
}

.review-card {
    background-color: var(--bg-one);
    border-radius: 24px;
    box-shadow: 5px 10px 20px rgba(0, 0, 0, 0.08);
    display: flex;
    flex-direction: column;
    transition: transform 0.3s ease, border-color 0.3s ease;
    border-top: 4px solid transparent;
    min-height: 400px;
}

.review-content {
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 40px;
}
  
.text-wrapper {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}
  
  /* Text styling */
.review-content p {
    font-style: italic;
    margin: 0;
    line-height: 1.6;
    color: var(--text-two);
}
  
.review-content h3 {
    margin-top: 25px;
    margin-bottom: 0;
    text-align: center;
    font-size: 1.25rem;
}

#visit .container {
    background-color: var(--bg-one);
    width: 90%;
    margin: 0 auto;
    padding: 40px;

    box-shadow: 5px 10px 20px rgba(0, 0, 0, 0.04);
    border-radius: 24px;

    display: flex;
    gap: 30px;
}

#booking-form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 50%;
}

#booking-form h3 {
    font-size: clamp(1.1rem, 1rem + 0.3vw, 1.3rem);
}

.form-group {
    margin-bottom: 30px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.form-group input, .form-group select {
    width: 100%;
    padding: 14px 8px;
    border-radius: 4px;
    border: 1px solid var(--bg-two);
    background-color: #fbfbfb !important;
    font-family: var(--ff-body);
}

::placeholder {
    font-family: 'roboto', sans-serif !important;
}

.map-box {
    width: 50%;
}

.map-box iframe {
    width: 100%;
    height: 100%;
    border-radius: 24px;
}

footer {
    min-height: 500px;
    background-color: #222222;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

footer .intro {
    text-align: center;
    margin: 0;
    padding: 0;
}

footer .intro img {
    max-width: 280px;
    margin: 0;
    padding: 0;
}

.footer-links {
    display: flex;
    max-width: 80%;
    margin: 0 auto;
    padding-bottom: 50px;
    justify-content: space-between;
    align-items: flex-start;
    gap: 75px;
}

.footer-col {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.footer-col h3 {
    color: var(--orange);
}

.footer-col ul {
    list-style: none;
    gap: 12px;
    display: flex;
    flex-direction: column;
    transition: opacity 0.3s ease;
    padding: 0;
}

.footer-col ul li {
    margin: 0;
    padding: 0;
}

.footer-col ul li a {
    font-size: var(--fs-p);
    font-family: var(--ff-body);
    text-decoration: none;
    color: var(--bg-one);
    transition: opacity 0.3s ease;
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    width: 60%;
    padding: 40px 0;

    border-top: 1px solid var(--text);
}

.footer-bottom p {
    color: var(--text-two);
}